using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class WeaponMount : MonoBehaviour
{
    public GameObject Effect;

    public void PlayEffect()
    {
        if (Effect)
        {
            Debug.Log("Playing effect", gameObject);

            var effect = Instantiate(Effect, transform.position, Quaternion.identity);
            Destroy(effect, .2f);
        }
    }

    void OnDrawGizmos()
    {
        Gizmos.color = Color.red;

        Gizmos.DrawSphere(transform.position, .1f);
    }
}
